import { Component, Inject } from '@angular/core';
import { MAT_DIALOG_DATA } from "@angular/material/dialog";
import { HttpClient } from "@angular/common/http";
import { ConfigService } from "@services/config.service";

@Component({
  selector: 'app-show-template-content',
  templateUrl: './show-template-content.component.html',
  styleUrl: './show-template-content.component.css'
})
export class ShowTemplateContentComponent {
  baseUrl: string;
  displayedColumns: string[] = ['property', 'value'];
  generalData: any[] = [];
  constructor(
    @Inject(MAT_DIALOG_DATA) public data: any,
    private http: HttpClient,
    private configService: ConfigService
  ) {
    this.baseUrl = this.configService.apiUrl;
  }
}
